Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.vfs
Class ByteToChar

    java.lang.Object
      |
      +--java.io.InputStream
            |
            +--com.caucho.vfs.ByteToChar

Direct Known Subclasses:
  OldByteToChar

public class ByteToChar
extends java.io.InputStream

Utility class for converting a byte stream to a character stream.

     ByteToChar converter = new ByteToChar();
     converter.setEncoding("utf-8");
     converter.clear();

     converter.addChar('H');
     converter.addByte(0xc0);
     converter.addByte(0xb8);

     String value = converter.getConvertedString();

Method Summary
`void` | `addByte(int b)` Adds the next byte.
`void` | `addChar(char nextCh)` Adds the next character.
`void` | `clear()` Clears the converted
`static ByteToChar` | `create()`
`java.lang.String` | `getConvertedString()` Gets the converted string.
`int` | `read()` For internal use only.
`void` | `setEncoding(java.lang.String encoding)` Sets the encoding for the converter.
`java.lang.String` | `toString()` Prints the object.

Methods inherited from class java.io.InputStream
`available, close, mark, markSupported, read, read, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### create

    public static ByteToChar create()

### setEncoding

    public void setEncoding(java.lang.String encoding)
                     throws java.io.UnsupportedEncodingException

  Sets the encoding for the converter.

### clear

    public void clear()

  Clears the converted

### getConvertedString

    public java.lang.String getConvertedString()
                                        throws java.io.IOException

  Gets the converted string.

### addByte

    public void addByte(int b)
                 throws java.io.IOException

  Adds the next byte.
  Parameters:
    `b` - the byte to write

### addChar

    public void addChar(char nextCh)
                 throws java.io.IOException

  Adds the next character.
  Parameters:
    `nextCh` - the character to write

### read

    public int read()
             throws java.io.IOException

  For internal use only. Reads the next byte from the byte buffer.
  Overrides:
    `read` in class `java.io.InputStream`
  Returns:
    the next byte

### toString

    public java.lang.String toString()

  Prints the object.
  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD